Subject: Re: [PATCH 2/5] README.md: add hyperlinks on filenames

From: Matthieu Moy <[email-masked]>
Date: Tue, 23 Feb 2016 20:52:48 +0100

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>> Signed-off-by: Matthieu Moy <[email-masked]>
>> ---
>>  README.md | 19 +++++++++++++------
>>  1 file changed, 13 insertions(+), 6 deletions(-)
>
> Makes sense, provided if we want to do Markdown.

I'd say it the other way around: declaring README as markdown costs
almost nothing and doesn't harm source code readability. This patch
slightly decreases the source's readability so we may want to drop it.

> If I were pushing this topic (i.e. cater to those who browse at
> GitHub, not with "less" in the source tree), I'd have further made
> these links to the preformatted documentation at git-scm.com; I
> expected the later steps in this series to do that, but it seems you
> stopped short of it for some reason.

I tried to keep the spirit of the README as "this is the entry point to
the source code" rather than "this is the new homepage of Git" (as some
project do on GitHub, but we have such a nice git-scm.com ...).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/